Package org.apache.tomcat.websocket.pojo

# Class PojoEndpointClient

java.lang.Object
jakarta.websocket.Endpoint
org.apache.tomcat.websocket.pojo.PojoEndpointBase
org.apache.tomcat.websocket.pojo.PojoEndpointClient

public class PojoEndpointClient extends PojoEndpointBase
Wrapper class for instances of POJOs annotated with `ClientEndpoint` so they appear as standard `Endpoint` instances.

## Constructor Summary

Constructors
Constructor
Description
`PojoEndpointClient(Object pojo, List<Class<? extends Decoder>> decoders, InstanceManager instanceManager)`

## Method Summary

Modifier and Type
Method
Description
`void`
`onOpen(Session session, EndpointConfig config)`
Event that is triggered when a new session starts.

### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoEndpointBase

`doOnOpen, getMethodMapping, getPojo, onClose, onError, setMethodMapping, setPojo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PojoEndpointClient

public PojoEndpointClient(Object pojo, List<Class<? extends Decoder>> decoders, InstanceManager instanceManager) throws DeploymentException

Throws:
  `DeploymentException`

## Method Details

### onOpen

public void onOpen(Session session, EndpointConfig config)
Description copied from class: `jakarta.websocket.Endpoint`
Event that is triggered when a new session starts.

Specified by:
  `onOpen` in class `Endpoint`
Parameters:
  `session` - The new session.
  `config` - The configuration with which the Endpoint was configured.